import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { DatabaseService } from "@fireenjin/sdk";
import { Location, User } from "../../../sdk";
import { FireEnjinFetchEvent } from "@fireenjin/sdk/dist/mjs/interfaces";
export declare class AppLocation implements ComponentInterface {
  api: any;
  actionOptions: any;
  modalEl: HTMLIonModalElement;
  fireenjinFetch: EventEmitter<FireEnjinFetchEvent>;
  locationId: string;
  db: DatabaseService;
  location: Location;
  autoTieUsers: User[];
  onSuccess(event: any): Promise<void>;
  onSubmit(event: any): void;
  setAutoTieUsers(): Promise<void>;
  presentToast(): Promise<void>;
  openUserSearch(): Promise<void>;
  removeUser(id: any): void;
  componentDidLoad(): void;
  render(): any[];
}
